Container Gateway: concurrent logins trigger bad token error

04/18/2024 03:14 PM - Ian Ballou

Status: Closed   

Priority: Normal   

Assignee: Ian Ballou   

Category: Foreman Proxy Content   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/smart_proxy_c

ontainer_gateway/pull/35

  

Description

Concurrent podman logins can show errors like this: `Error: logging into "centos8-proxy-devel.manicotto.example.com": invalid

username/password`

This happens because the token creation/deletion isn't behind a transaction.

Associated revisions

Revision 39dfd4c0 - 04/23/2024 05:58 PM - Ian Ballou 

Fixes #37369 - add transaction to token creation/deletion

History

#1 - 04/18/2024 03:15 PM - Ian Ballou

- Category changed from Container to Foreman Proxy Content

#2 - 04/18/2024 03:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/smart_proxy_container_gateway/pull/35 added

#3 - 04/19/2024 06:18 PM - Ian Ballou

- Description updated

#4 - 04/23/2024 06:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset smart_proxy_container_gateway|39dfd4c059c7d2421387ca6aa86c06afba89fff3.

#5 - 04/24/2024 05:41 PM - Ian Ballou

- Triaged changed from No to Yes
